Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.accessibility
Class ACC

    java.lang.Object
      org.eclipse.swt.accessibility.ACC

public class ACC
extends Object

Class ACC contains all the constants used in defining an Accessible object.

Since:
  2.0

Field Summary
`static int` | `CHILDID_MULTIPLE`
`static int` | `CHILDID_NONE`
`static int` | `CHILDID_SELF`
`static int` | `ROLE_CHECKBUTTON`
`static int` | `ROLE_CLIENT_AREA`
`static int` | `ROLE_COMBOBOX`
`static int` | `ROLE_DIALOG`
`static int` | `ROLE_LABEL`
`static int` | `ROLE_LINK`
`static int` | `ROLE_LIST`
`static int` | `ROLE_LISTITEM`
`static int` | `ROLE_MENU`
`static int` | `ROLE_MENUBAR`
`static int` | `ROLE_MENUITEM`
`static int` | `ROLE_PROGRESSBAR`
`static int` | `ROLE_PUSHBUTTON`
`static int` | `ROLE_RADIOBUTTON`
`static int` | `ROLE_SCROLLBAR`
`static int` | `ROLE_SEPARATOR`
`static int` | `ROLE_SLIDER`
`static int` | `ROLE_TABFOLDER`
`static int` | `ROLE_TABITEM`
`static int` | `ROLE_TABLE`
`static int` | `ROLE_TABLECELL`
`static int` | `ROLE_TABLECOLUMN` Deprecated. use ROLE_TABLECOLUMNHEADER
`static int` | `ROLE_TABLECOLUMNHEADER`
`static int` | `ROLE_TABLEROWHEADER`
`static int` | `ROLE_TEXT`
`static int` | `ROLE_TOOLBAR`
`static int` | `ROLE_TOOLTIP`
`static int` | `ROLE_TREE`
`static int` | `ROLE_TREEITEM`
`static int` | `ROLE_WINDOW`
`static int` | `STATE_BUSY`
`static int` | `STATE_CHECKED`
`static int` | `STATE_COLLAPSED`
`static int` | `STATE_EXPANDED`
`static int` | `STATE_FOCUSABLE`
`static int` | `STATE_FOCUSED`
`static int` | `STATE_HOTTRACKED`
`static int` | `STATE_INVISIBLE`
`static int` | `STATE_LINKED`
`static int` | `STATE_MULTISELECTABLE`
`static int` | `STATE_NORMAL`
`static int` | `STATE_OFFSCREEN`
`static int` | `STATE_PRESSED`
`static int` | `STATE_READONLY`
`static int` | `STATE_SELECTABLE`
`static int` | `STATE_SELECTED`
`static int` | `STATE_SIZEABLE`
`static int` | `TEXT_DELETE`
`static int` | `TEXT_INSERT`

Constructor Summary
`ACC()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATE_NORMAL

    public static final int STATE_NORMAL

See Also:
  Constant Field Values

### STATE_SELECTED

    public static final int STATE_SELECTED

See Also:
  Constant Field Values

### STATE_SELECTABLE

    public static final int STATE_SELECTABLE

See Also:
  Constant Field Values

### STATE_MULTISELECTABLE

    public static final int STATE_MULTISELECTABLE

See Also:
  Constant Field Values

### STATE_FOCUSED

    public static final int STATE_FOCUSED

See Also:
  Constant Field Values

### STATE_FOCUSABLE

    public static final int STATE_FOCUSABLE

See Also:
  Constant Field Values

### STATE_PRESSED

    public static final int STATE_PRESSED

See Also:
  Constant Field Values

### STATE_CHECKED

    public static final int STATE_CHECKED

See Also:
  Constant Field Values

### STATE_EXPANDED

    public static final int STATE_EXPANDED

See Also:
  Constant Field Values

### STATE_COLLAPSED

    public static final int STATE_COLLAPSED

See Also:
  Constant Field Values

### STATE_HOTTRACKED

    public static final int STATE_HOTTRACKED

See Also:
  Constant Field Values

### STATE_BUSY

    public static final int STATE_BUSY

See Also:
  Constant Field Values

### STATE_READONLY

    public static final int STATE_READONLY

See Also:
  Constant Field Values

### STATE_INVISIBLE

    public static final int STATE_INVISIBLE

See Also:
  Constant Field Values

### STATE_OFFSCREEN

    public static final int STATE_OFFSCREEN

See Also:
  Constant Field Values

### STATE_SIZEABLE

    public static final int STATE_SIZEABLE

See Also:
  Constant Field Values

### STATE_LINKED

    public static final int STATE_LINKED

See Also:
  Constant Field Values

### ROLE_CLIENT_AREA

    public static final int ROLE_CLIENT_AREA

See Also:
  Constant Field Values

### ROLE_WINDOW

    public static final int ROLE_WINDOW

See Also:
  Constant Field Values

### ROLE_MENUBAR

    public static final int ROLE_MENUBAR

See Also:
  Constant Field Values

### ROLE_MENU

    public static final int ROLE_MENU

See Also:
  Constant Field Values

### ROLE_MENUITEM

    public static final int ROLE_MENUITEM

See Also:
  Constant Field Values

### ROLE_SEPARATOR

    public static final int ROLE_SEPARATOR

See Also:
  Constant Field Values

### ROLE_TOOLTIP

    public static final int ROLE_TOOLTIP

See Also:
  Constant Field Values

### ROLE_SCROLLBAR

    public static final int ROLE_SCROLLBAR

See Also:
  Constant Field Values

### ROLE_DIALOG

    public static final int ROLE_DIALOG

See Also:
  Constant Field Values

### ROLE_LABEL

    public static final int ROLE_LABEL

See Also:
  Constant Field Values

### ROLE_PUSHBUTTON

    public static final int ROLE_PUSHBUTTON

See Also:
  Constant Field Values

### ROLE_CHECKBUTTON

    public static final int ROLE_CHECKBUTTON

See Also:
  Constant Field Values

### ROLE_RADIOBUTTON

    public static final int ROLE_RADIOBUTTON

See Also:
  Constant Field Values

### ROLE_COMBOBOX

    public static final int ROLE_COMBOBOX

See Also:
  Constant Field Values

### ROLE_TEXT

    public static final int ROLE_TEXT

See Also:
  Constant Field Values

### ROLE_TOOLBAR

    public static final int ROLE_TOOLBAR

See Also:
  Constant Field Values

### ROLE_LIST

    public static final int ROLE_LIST

See Also:
  Constant Field Values

### ROLE_LISTITEM

    public static final int ROLE_LISTITEM

See Also:
  Constant Field Values

### ROLE_TABLE

    public static final int ROLE_TABLE

See Also:
  Constant Field Values

### ROLE_TABLECELL

    public static final int ROLE_TABLECELL

See Also:
  Constant Field Values

### ROLE_TABLECOLUMNHEADER

    public static final int ROLE_TABLECOLUMNHEADER

See Also:
  Constant Field Values

### ROLE_TABLECOLUMN

    public static final int ROLE_TABLECOLUMN

  Deprecated. use ROLE_TABLECOLUMNHEADER

  See Also:
    Constant Field Values

### ROLE_TABLEROWHEADER

    public static final int ROLE_TABLEROWHEADER

See Also:
  Constant Field Values

### ROLE_TREE

    public static final int ROLE_TREE

See Also:
  Constant Field Values

### ROLE_TREEITEM

    public static final int ROLE_TREEITEM

See Also:
  Constant Field Values

### ROLE_TABFOLDER

    public static final int ROLE_TABFOLDER

See Also:
  Constant Field Values

### ROLE_TABITEM

    public static final int ROLE_TABITEM

See Also:
  Constant Field Values

### ROLE_PROGRESSBAR

    public static final int ROLE_PROGRESSBAR

See Also:
  Constant Field Values

### ROLE_SLIDER

    public static final int ROLE_SLIDER

See Also:
  Constant Field Values

### ROLE_LINK

    public static final int ROLE_LINK

See Also:
  Constant Field Values

### CHILDID_SELF

    public static final int CHILDID_SELF

See Also:
  Constant Field Values

### CHILDID_NONE

    public static final int CHILDID_NONE

See Also:
  Constant Field Values

### CHILDID_MULTIPLE

    public static final int CHILDID_MULTIPLE

See Also:
  Constant Field Values

### TEXT_INSERT

    public static final int TEXT_INSERT

See Also:
  Constant Field Values

### TEXT_DELETE

    public static final int TEXT_DELETE

See Also:
  Constant Field Values

Constructor Detail

### ACC

    public ACC()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.